%define upstream_name    File-Find-Upwards
%define upstream_version 1.102030

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Look for a file in the current directory and upwards
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Attribute::Memoize)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
Provides a function that can find a file in the current or a parent
directory.

* file_find_upwards()

  Takes a filename and looks for the file in the current directory. If
  there is no such file, it traverses up the directory hierarchy until it
  finds the file or until it reaches the topmost directory. If the file is
  found, the full path to the file is returned. If the file is not found,
  undef is returned.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes LICENSE README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.102.30-3.mga4
+ Revision: 511545
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.102.30-2.mga3
+ Revision: 367236
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 1.102.30-1.mga1
+ Revision: 28540
- mageia rebuild
- imported package perl-File-Find-Upwards

